Bug 479942 - compat-dapl does not own / regenerate dat.conf
compat-dapl does not own / regenerate dat.conf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dapl (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Doug Ledford
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 03:12 EST by Mehdi Bozzo-Rey
Modified: 2009-09-02 05:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mehdi Bozzo-Rey 2009-01-14 03:12:01 EST
Description of problem: compat dapl does own / regenerate dat.conf. Installing openmpi triggers the install of compat-dapl but as there will be no dat.conf openmpi will complain at run time; dapltest-1.2 will fail as well


Version-Release number of selected component (if applicable): 5.3rc2


How reproducible: always


Steps to Reproduce:
1. install openmpi
2.recompile and run an example
3. run dapltest-1.2
  
Actual results: fails (dapltest-1.2), warnings (openmpi)


Expected results: pass, no warnings


Additional info:


[root@compute-0-12 examples]# yum install openmpi openmpi-libs openmpi-devel
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package openmpi-libs.i386 0:1.2.7-6.el5 set to be updated
--> Processing Dependency: libdat.so.1 for package: openmpi-libs
--> Processing Dependency: libgfortran.so.1 for package: openmpi-libs
--> Processing Dependency: libibverbs.so.1(IBVERBS_1.0) for package: openmpi-libs
--> Processing Dependency: libibverbs.so.1(IBVERBS_1.1) for package: openmpi-libs
--> Processing Dependency: libdat.so.1(DAT_1.2) for package: openmpi-libs
--> Processing Dependency: libibverbs.so.1 for package: openmpi-libs
---> Package openmpi.i386 0:1.2.7-6.el5 set to be updated
---> Package openmpi-libs.x86_64 0:1.2.7-6.el5 set to be updated
--> Processing Dependency: libdat.so.1(DAT_1.2)(64bit) for package: openmpi-libs
--> Processing Dependency: libdat.so.1()(64bit) for package: openmpi-libs
--> Processing Dependency: libgfortran.so.1()(64bit) for package: openmpi-libs
---> Package openmpi.x86_64 0:1.2.7-6.el5 set to be updated
---> Package openmpi-devel.i386 0:1.2.7-6.el5 set to be updated
---> Package openmpi-devel.x86_64 0:1.2.7-6.el5 set to be updated
--> Running transaction check
---> Package compat-dapl.x86_64 0:2.0.13-4.el5 set to be updated
--> Processing Dependency: librdmacm.so.1(RDMACM_1.0)(64bit) for package: compat-dapl
--> Processing Dependency: librdmacm.so.1()(64bit) for package: compat-dapl
---> Package libgfortran.x86_64 0:4.1.2-44.el5 set to be updated
---> Package compat-dapl.i386 0:2.0.13-4.el5 set to be updated
--> Processing Dependency: librdmacm.so.1(RDMACM_1.0) for package: compat-dapl
--> Processing Dependency: librdmacm.so.1 for package: compat-dapl
---> Package libgfortran.i386 0:4.1.2-44.el5 set to be updated
---> Package libibverbs.i386 0:1.1.2-1.el5 set to be updated
--> Running transaction check
---> Package librdmacm.i386 0:1.0.8-1.el5 set to be updated
---> Package librdmacm.x86_64 0:1.0.8-1.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================
 Package                         Arch                     Version                          Repository                Size
==========================================================================================================================
Installing:
 openmpi                         i386                     1.2.7-6.el5                      rhel53                   100 k
 openmpi                         x86_64                   1.2.7-6.el5                      rhel53                   100 k
 openmpi-devel                   x86_64                   1.2.7-6.el5                      rhel53                   533 k
 openmpi-devel                   i386                     1.2.7-6.el5                      rhel53                   532 k
 openmpi-libs                    x86_64                   1.2.7-6.el5                      rhel53                   1.1 M
 openmpi-libs                    i386                     1.2.7-6.el5                      rhel53                   1.1 M
Installing for dependencies:
 compat-dapl                     i386                     2.0.13-4.el5                     rhel53                   114 k
 compat-dapl                     x86_64                   2.0.13-4.el5                     rhel53                   112 k
 libgfortran                     x86_64                   4.1.2-44.el5                     rhel53                   244 k
 libgfortran                     i386                     4.1.2-44.el5                     rhel53                   231 k
 libibverbs                      i386                     1.1.2-1.el5                      rhel53                    44 k
 librdmacm                       x86_64                   1.0.8-1.el5                      rhel53                    22 k
 librdmacm                       i386                     1.0.8-1.el5                      rhel53                    22 k

Transaction Summary
==========================================================================================================================
Install     13 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 4.2 M
Is this ok [y/N]: y
Downloading Packages:
--------------------------------------------------------------------------------------------------------------------------
Total                                                                                     425 MB/s | 4.2 MB     00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : libgfortran                                     [ 1/13]
  Installing     : librdmacm                                       [ 2/13]
  Installing     : libibverbs                                      [ 3/13]
  Installing     : compat-dapl                                     [ 4/13]
  Installing     : openmpi-libs                                    [ 5/13]
  Installing     : librdmacm                                       [ 6/13]
  Installing     : compat-dapl                                     [ 7/13]
  Installing     : libgfortran                                     [ 8/13]
  Installing     : openmpi-libs                                    [ 9/13]
  Installing     : openmpi                                         [10/13]
  Installing     : openmpi-devel                                   [11/13]
  Installing     : openmpi                                         [12/13]
  Installing     : openmpi-devel                                   [13/13]

Installed: openmpi.i386 0:1.2.7-6.el5 openmpi.x86_64 0:1.2.7-6.el5 openmpi-devel.x86_64 0:1.2.7-6.el5 openmpi-devel.i386 0:1.2.7-6.el5 openmpi-libs.x86_64 0:1.2.7-6.el5 openmpi-libs.i386 0:1.2.7-6.el5
Dependency Installed: compat-dapl.i386 0:2.0.13-4.el5 compat-dapl.x86_64 0:2.0.13-4.el5 libgfortran.x86_64 0:4.1.2-44.el5 libgfortran.i386 0:4.1.2-44.el5 libibverbs.i386 0:1.1.2-1.el5 librdmacm.x86_64 0:1.0.8-1.el5 librdmacm.i386 0:1.0.8-1.el5
Complete!
[root@compute-0-12 examples]# ls /etc/ofed/
fixup-mtrr.awk  openib.conf  opensm.conf
[root@compute-0-12 examples]# mpi-selector --list
mvapich-1.1.0-gcc-x86_64
openmpi-1.2.7-gcc-i386
openmpi-1.2.7-gcc-x86_64
[root@compute-0-12 examples]# mpi-selector --query
default:mvapich-1.1.0-gcc-x86_64
level:user
[root@compute-0-12 examples]# mpi-selector --unset mvapich-1.1.0-gcc-x86_64
[root@compute-0-12 examples]# mpi-selector --query
[root@compute-0-12 examples]# mpi-selector --set openmpi-1.2.7-gcc-x86_64
[root@compute-0-12 examples]#
[root@compute-0-12 examples]# exit
logout
Connection to compute-0-12 closed.
[root@mel1 ~]# ssh -x compute-0-12
root@compute-0-12's password:
Last login: Wed Jan 14 01:58:53 2009 from 10.1.1.1
[root@compute-0-12 ~]# which mpicc
/usr/lib64/openmpi/1.2.7-gcc/bin/mpicc
[root@compute-0-12 ~]# ls /home/mbozzore/compile_temp/openmpi/openmpi
openmpi-1.2.5-5.el5.src.rpm  openmpi-1.3rc2.tar.gz        openmpi.module.in            openmpi.spec
openmpi-1.2.5.tar.bz2        openmpi.csh.in               openmpi.pc.in
openmpi-1.3rc2/              openmpi-ehca-config.patch    openmpi.sh.in
[root@compute-0-12 ~]# ls /home/mbozzore/compile_temp/openmpi/openmpi
openmpi-1.2.5-5.el5.src.rpm  openmpi-1.3rc2.tar.gz        openmpi.module.in            openmpi.spec
openmpi-1.2.5.tar.bz2        openmpi.csh.in               openmpi.pc.in
openmpi-1.3rc2/              openmpi-ehca-config.patch    openmpi.sh.in
[root@compute-0-12 ~]# cp -a  /home/mbozzore/compile_temp/openmpi/openmpi-1.3rc2/examples/ .
[root@compute-0-12 ~]# cd examples/
[root@compute-0-12 examples]# ls
connectivity_c.c  hello_cxx.cc  hello_f90.f90  Makefile.include  ring_c.c     ring_f77.f
hello_c.c         hello_f77.f   Makefile       README            ring_cxx.cc  ring_f90.f90
[root@compute-0-12 examples]# mpicc -o hello_c hello_c.c
[root@compute-0-12 examples]# mpirun hello_c
DAT Registry: sysconfdir, bad filename - /etc/ofed/dat.conf, retry default at /etc/dat.conf
DAT Registry: default, bad filename - /etc/dat.conf, aborting
libibverbs: Warning: no userspace device-specific driver found for /sys/class/infiniband_verbs/uverbs0
--------------------------------------------------------------------------
[0,1,0]: OpenIB on host compute-0-12.boznet.org was unable to find any HCAs.
Another transport will be used instead, although this may result in
lower performance.
--------------------------------------------------------------------------
--------------------------------------------------------------------------
[0,1,0]: uDAPL on host compute-0-12.boznet.org was unable to find any NICs.
Another transport will be used instead, although this may result in
lower performance.
--------------------------------------------------------------------------
Hello, world, I am 0 of 1
[root@compute-0-12 examples]# rpm -qa | grep dapl
compat-dapl-2.0.13-4.el5
compat-dapl-2.0.13-4.el5
[root@compute-0-12 examples]# ls /etc/ofed/
fixup-mtrr.awk  openib.conf  opensm.conf
[root@compute-0-12 examples]# ls /etc/dat*
ls: /etc/dat*: No such file or directory
[root@compute-0-12 examples]# yum install compat-dapl-utils
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package compat-dapl-utils.x86_64 0:2.0.13-4.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================
 Package                            Arch                    Version                         Repository               Size
==========================================================================================================================
Installing:
 compat-dapl-utils                  x86_64                  2.0.13-4.el5                    rhel53                   80 k

Transaction Summary
==========================================================================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 80 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : compat-dapl-utils                                 [1/1]

Installed: compat-dapl-utils.x86_64 0:2.0.13-4.el5
Complete!
[root@compute-0-12 examples]# dapltest-1.2
DAT Registry: sysconfdir, bad filename - /etc/ofed/dat.conf, retry default at /etc/dat.conf
DAT Registry: default, bad filename - /etc/dat.conf, aborting
DT_cs_Server: Could not open OpenIB-cma (DAT_PROVIDER_NOT_FOUND DAT_NAME_NOT_REGISTERED)
DT_cs_Server (OpenIB-cma):  Exiting.
[root@compute-0-12 examples]#
Comment 1 Doug Ledford 2009-04-22 18:22:20 EDT
compat-dapl now has its own dat.conf file in /etc/ofed/compat-dapl/
Comment 4 Gurhan Ozen 2009-07-09 15:18:02 EDT
# strace /usr/bin/dapltest-1.2 
...
open("/etc/ofed/compat-dapl/dat.conf", O_RDONLY) = 3
...
Comment 6 errata-xmlrpc 2009-09-02 05:51:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1304.html

Note You need to log in before you can comment on or make changes to this bug.